Unit UOptions;

// reference to Formmain to make Log visible on the main screen

Interface

Uses
{$IF CompilerVersion > 28} // Delphi XE7
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Classes, System.Types, System.UITypes,
  Vcl.Forms, Vcl.StdCtrls, Vcl.ExtCtrls, Vcl.Buttons, Vcl.Graphics, Vcl.Dialogs;
{$ELSE}
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;
{$IFEND}

Type
  TFormGameOptions = Class(TForm)
    RadioGroupNiveau: TRadioGroup;
    BtnOk: TBitBtn;
    BtnCancel: TBitBtn;
    PanelBottomButtons: TPanel;
    ColorBox: TColorBox;
    GroupBoxBorderColor: TGroupBox;
    PnlRight: TPanel;
    CheckBoxRotate: TCheckBox;
    Procedure RadioGroupNiveauClick(Sender: TObject);
    Procedure BtnOkClick(Sender: TObject);
    Procedure CheckBoxRotateClick(Sender: TObject);
    Procedure BtnCancelClick(Sender: TObject);
    Procedure FormShow(Sender: TObject);
    procedure ColorBoxCloseUp(Sender: TObject);
  End;

Var
  FormGameOptions: TFormGameOptions;

Implementation

{$R *.DFM}

Uses UIniOptions, Umain;

Procedure UpdateJigsaw;
Begin
  FormMain.Dimensions;
  FormMain.Formes;
  FormMain.PuzzleDessign(True);
End;

Procedure TFormGameOptions.CheckBoxRotateClick(Sender: TObject);
Begin
  IniOptions.Rotatepieces := CheckBoxRotate.Checked;
End;

Procedure TFormGameOptions.BtnCancelClick(Sender: TObject);
Begin
  FormMain.Log('FormOptions Btn Cancel');
  IniOptions.ReStoreOptions;
  UpdateJigsaw;
End;

Procedure TFormGameOptions.BtnOkClick(Sender: TObject);
Begin
  FormMain.Log('FormOptions Btn Ok');
  IniOptions.Niveau := RadioGroupNiveau.ItemIndex;
  IniOptions.Rotatepieces := CheckBoxRotate.Checked;
  IniOptions.PieceBorderColor := ColorBox.Selected;
End;

Procedure TFormGameOptions.RadioGroupNiveauClick(Sender: TObject);
Begin
  FormMain.Log('FormOptions Radiogroup Niveau');
  IniOptions.Niveau := RadioGroupNiveau.ItemIndex; // game level
  UpdateJigsaw
End;

procedure TFormGameOptions.ColorBoxCloseUp(Sender: TObject);
begin
  FormMain.Log('Formoptions Color Border');
  IniOptions.PieceBorderColor := ColorBox.Selected;
  UpdateJigsaw;
end;

Procedure TFormGameOptions.FormShow(Sender: TObject);
Begin
  //FormMain.Log('FormOptions Create');
  IniOptions.StoreOptions;
  RadioGroupNiveau.ItemIndex := IniOptions.Niveau;
  CheckBoxRotate.Checked := IniOptions.Rotatepieces;
  ColorBox.Selected := IniOptions.PieceBorderColor;
End;

End.
