Unit USettings;

Interface

Uses
{$IF CompilerVersion > 28} // Delphi XE7
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Classes, System.Types, System.UITypes,
  Vcl.Forms, Vcl.StdCtrls, Vcl.ExtCtrls, Vcl.Buttons, Vcl.Graphics, Vcl.Controls;
{$ELSE}
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;
{$ENDIF}

Type
  TFormSettings = Class(TForm)
    RadioGroupSize: TRadioGroup;
    RadioGroupMagnet: TRadioGroup;
    BtnCancel: TBitBtn;
    BtnOk: TBitBtn;
    GroupBoxSolution: TGroupBox;
    CheckBoxUseCtrl: TCheckBox;
    Label1: TLabel;
    CheckBoxAutoSolve: TCheckBox;
    Label2: TLabel;
    RadioGroupSpeed: TRadioGroup;
    CheckBoxShowTime: TCheckBox;
    RadioGroupRotate: TRadioGroup;
    CheckBoxStartBorderPiece: TCheckBox;
    PanelBottomButtons: TPanel;
    CheckBoxShowLog: TCheckBox;
    Procedure FormCreate(Sender: TObject);
    Procedure BtnOkClick(Sender: TObject);
  End;

Var
  FormSettings: TFormSettings;

Implementation

{$R *.DFM}

Uses UIniOptions, Umain;

Procedure TFormSettings.FormCreate(Sender: TObject);
Begin
  Formmain.Log('FormSettings Create');

  RadioGroupSize.ItemIndex := IniOptions.Size;

  If IniOptions.Magnet = MagnetHigh Then
    RadioGroupMagnet.ItemIndex := 0 // high
  Else
    RadioGroupMagnet.ItemIndex := 1; // low

  If IniOptions.Rotatepieces = True Then
    RadioGroupRotate.ItemIndex := 1 // with rotation
  Else
    RadioGroupRotate.ItemIndex := 0; // without rotation

  CheckBoxUseCtrl.Checked := IniOptions.UseCtrl;
  CheckBoxAutoSolve.Checked := IniOptions.AutoSolve;
  CheckBoxStartBorderPiece.Checked := IniOptions.StartBorderPieces;

  RadioGroupSpeed.ItemIndex := IniOptions.Speed;

  CheckBoxShowLog.Checked := IniOptions.ShowLog;
  CheckBoxShowTime.Checked := IniOptions.ShowTime;
End;

Procedure TFormSettings.BtnOkClick(Sender: TObject);
Begin
//  Formmain.Log('FormSettings Btn Ok');

  IniOptions.Size := RadioGroupSize.ItemIndex;

  If RadioGroupMagnet.ItemIndex = 0 Then
    IniOptions.Magnet := MagnetHigh
  Else
    IniOptions.Magnet := MagentLow;

  IniOptions.Rotatepieces := (RadioGroupRotate.ItemIndex = 1);

  IniOptions.UseCtrl := CheckBoxUseCtrl.Checked;
  IniOptions.AutoSolve := CheckBoxAutoSolve.Checked;
  IniOptions.StartBorderPieces := CheckBoxStartBorderPiece.Checked;

  IniOptions.Speed := RadioGroupSpeed.ItemIndex;
  IniOptions.ShowLog := CheckBoxShowLog.Checked;
  IniOptions.ShowTime := CheckBoxShowTime.Checked;
End;

End.
